function _ig(){}
function fjg(){}
function djg(a){this.a=a}
function Rig(a){this.a=a}
function Tig(a){this.a=a}
function $ig(a,b){q_f(a.a,b)}
function vjg(a){var b;if(!a.d){b=new _ig;a.d=b}return a.d}
function bjg(){cpe.call(this,Z$j,'Persistence Inheritance')}
function Mig(a){var b;b=LBh(a.b.a,Lvf(),vM(z1c,jyj,1,[]));A8i(r8i(b,kHj),e0j);noj(new Gnj(b),new Rig(a))}
function Oig(a,b,d,e){vGd.call(this,a,b,d);this.c=e;this.b=new T0i(MLb,(WBh(),RBh).Nc(MLb),VBh.Nc(MLb));this.a=new g1i(MLb)}
function ujg(a){var b;if(!a.c){b=new Oig(FFd(Cce(a.a)),vjg(a),tjg(a),(Roj(iee(a.a)),IMg(wde(a.a))),U1i(gee(a.a)));RFd((Dce(a.a),b),OGd(Dce(a.a)));a.c=b}return a.c}
function Nig(a,b){var d;d=X0i(a.a,b,LBh(a.b.a,Lvf(),vM(z1c,jyj,1,[])),vM(s2c,byj,280,[]));if(b.Kc(hNj)&&Ch(b.Nc(hNj),HAj)){b.Qc(hNj);G8i(r8i(d,iNj),(Kmj(),Jmj))}noj(new Gnj(d),new Tig(a))}
function Qig(a,b){var d,e;e=hoj(b);if(e.b.iN(HHj)&&r8i(e,HHj).b.b!=(Kmj(),Jmj)&&!JPd(r8i(e,HHj).b.cf(),IHj)){JYd(j0j+(EYd(),'Loading JPA Subsystem'))}else{d=Y0i(a.a.a,r8i(e,tHj).b.bN());$ig(a.a.A,d)}}
I3c(3566,1008,izj,Oig);_.Si=function(){this.A.b=this};_.Xi=function(){Mig(this)};_._i=function(){Ovf(this.c,this)};I3c(3567,1295,{},Rig);_.fh=function(a){Qig(this,a)};I3c(3568,1295,{},Tig);_.fh=function(a){var b;b=hoj(a);b.b.iN(HHj)&&r8i(b,HHj).b.b!=(Kmj(),Jmj)&&!JPd(r8i(b,HHj).b.cf(),IHj)?KYd(o1j+(EYd(),Idk),t8i(b)):LYd(p1j+(EYd(),Idk));Mig(this.a)};I3c(3571,1412,hzj,_ig);_.Ch=function(){var a,b,d,e,g,i;this.a=new x_f(MLb);a=new die(hNj,Jdk,false);g=new bjg;bpe(g,vM(z1c,jyj,1,['DEEP','SHALLOW']));B1d(this.a,xHj,vM(q2c,Szj,261,[a,g]));z1d(this.a,false);d=new z1i(this.a,new djg(this));e=new Q2e(new fjg,this.a);b=XBe(ZBe(YBe(new _Be,this.a),e));i=BCe(GCe(FCe(CCe(DCe(ICe(new JCe,M2j),Idk),(EYd(),'The configuration of the JPA subsystem.')),_2j,b),x1i(d)));return i};I3c(3572,1672,Yzj,bjg);_.ak=function(){return false};I3c(3573,1,{},djg);_.Fk=function(a){Nig(this.a.b,(this.a.a.c,a))};I3c(3574,1,{},fjg);_.al=function(){var a;a=Lvf();B8i(f8i(a),BIj,fGj);return a};I3c(3580,1,Qzj);_.ud=function(){nHd(this.b,ujg(this.a.a))};var ELb=lOd(3566),ALb=lOd(3567),BLb=lOd(3568),ILb=lOd(3571),FLb=lOd(3572),GLb=lOd(3573),HLb=lOd(3574);CAj(mp)(55);